USE %IIR
JOIN 6 INTO TIPOA=S0[1,1] CODANAGR=S0[2,6]
JOIN 8 TO 6 INTO CODANAGR=CODANAGR
JOIN 13 TO 8 ALIAS 113 INTO COM=COMNASC
JOIN 13 TO 6 ALIAS 213 INTO COM=COMRF(COMRES)
JOIN %UCC TO 213@ ALIAS 14 INTO CODTAB==UFFCONC

END
DESCRIPTION
BEGIN
  %IIR->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  14@->* "UCC"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 7
END

SECTION BODY ODD 24

GRUPPO 1
BEGIN
 KEY "Prima sezione"
END

NUMERO 2
BEGIN
 KEY "IMPORTO TRIBUTO"
 PROMPT 4 13 ""
 MESSAGE COPY,10@
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 3
BEGIN
 KEY "INTERESSI"
 PROMPT 16 13 ""
 MESSAGE ADD,10@
 PICTURE "###.###.###^^^"
 FIELD R7
END

NUMERO 4
BEGIN
 KEY "TOTALE (in basso)"
 PROMPT 35 13 ""
 GROUP  10
 PICTURE "###.###.###^^^"
END

NUMERO 5
BEGIN
 KEY "TOTALE (in alto)"
 PROMPT 36 2 ""
 GROUP  10
 PICTURE "###.###.###^^^"
END

NUMERO 6
BEGIN
 KEY "TOTALE (in lettere)"
 PROMPT 7 3 ""
 GROUP  10
 PICTURE "LETTERE"
END

STRINGA 7
BEGIN
 KEY "sul C/C n."
 PROMPT 11 4 ""
 FIELD 14@->S5
END

STRINGA 8
BEGIN
 KEY "Concessione di"
 PROMPT 16 5 ""
 FIELD 14@->S0
END

STRINGA 9
BEGIN
 KEY "Eseguito da"
 PROMPT 12 6 ""
 GROUP  2
 FIELD 6->RAGSOC[1,22]
END

STRINGA 10
BEGIN
 KEY "Eseguito da (Cognome)"
 GROUP  1
 FLAGS "H"
 MESSAGE COPY,527
 FIELD 6->RAGSOC[1,22]
END

STRINGA 11
BEGIN
 KEY "Eseguito da (Nome)"
 GROUP  1
 FLAGS "H"
 MESSAGE APPEND,527
 FIELD 6->RAGSOC[31,50]
END

STRINGA 527
BEGIN
 KEY "Eseguita da (Intero)"
 PROMPT 12 6 ""
 GROUP  1
END

NUMERO 10
BEGIN
 KEY "Codice Concessione"
 PROMPT 14 9 ""
 FIELD 6->UFFCONC
 FIELD 14@->CODTAB
END

STRINGA 11
BEGIN
 KEY "Codice fiscale"
 PROMPT 21 9 ""
 FIELD 6->COFI
END

STRINGA 12
BEGIN
 KEY "CODICE TRIBUTO"
 PROMPT 16 11 ""
 FIELD S1
END

STRINGA 13
BEGIN
 KEY "PERIODO DI RIFERIMENTO"
 PROMPT 35 11 ""
 FIELD S2
END

DATA 17
BEGIN
 KEY "Data del versamento"
 PROMPT 12 19 ""
 FIELD D0
 FORMAT "1444-"
END

STRINGA 18
BEGIN
 KEY "DOMICILIO FISCALE: COMUNE"
 PROMPT 9 20 ""
 FIELD 213@->DENCOM
END

STRINGA 19
BEGIN
 KEY "DOMICILIO FISCALE: Provincia"
 PROMPT 46 20 ""
 FIELD 213@->PROVCOM
END

STRINGA 20
BEGIN
 KEY "DOMICILIO FISCALE: VIA"
 PROMPT 9 22 ""
 FIELD 6->INDRF
 FIELD 6->INDRES
END

STRINGA 21
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO"
 PROMPT 47 22 ""
 FIELD 6->CIVRF
 FIELD 6->CIVRES
END

GRUPPO 14
BEGIN
 KEY "Seconda sezione"
END

NUMERO 15
BEGIN
 KEY "IMPORTO TRIBUTO"
 PROMPT 60 13 ""
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 16
BEGIN
 KEY "INTERESSI"
 PROMPT 73 13 ""
 PICTURE "###.###.###^^^"
 FIELD R7
END

NUMERO 17
BEGIN
 KEY "TOTALE (in basso)"
 PROMPT 92 13 ""
 GROUP  10
 PICTURE "###.###.###^^^"
END

NUMERO 18
BEGIN
 KEY "TOTALE (in alto)"
 PROMPT 93 2 ""
 GROUP  10
 PICTURE "###.###.###^^^"
END

NUMERO 19
BEGIN
 KEY "TOTALE (in lettere)"
 PROMPT 65 3 ""
 GROUP  10
 PICTURE "LETTERE"
END

STRINGA 20
BEGIN
 KEY "sul C/C n."
 PROMPT 67 4 ""
 FIELD 14@->S5
END

STRINGA 21
BEGIN
 KEY "Concessione di"
 PROMPT 70 5 ""
 FIELD 14@->S0
END

STRINGA 22
BEGIN
 KEY "Eseguito da"
 PROMPT 67 6 ""
 GROUP  2
 FIELD 6->RAGSOC[1,22]
END

STRINGA 31
BEGIN
 KEY "Eseguito da (Cognome)"
 GROUP  1
 FLAGS "H"
 MESSAGE COPY,528
 FIELD 6->RAGSOC[1,22]
END

STRINGA 32
BEGIN
 KEY "Eseguito da (Nome)"
 GROUP  1
 FLAGS "H"
 MESSAGE APPEND,528
 FIELD 6->RAGSOC[31,50]
END

STRINGA 528
BEGIN
 KEY "Eseguita da (Intero)"
 PROMPT 67 6 ""
 GROUP  1
END

NUMERO 23
BEGIN
 KEY "Codice Concessione"
 PROMPT 70 9 ""
 FIELD 6->UFFCONC
 FIELD 14@->CODTAB
END

STRINGA 24
BEGIN
 KEY "Codice fiscale"
 PROMPT 75 9 ""
 FIELD 6->COFI
END

STRINGA 25
BEGIN
 KEY "CODICE TRIBUTO"
 PROMPT 71 11 ""
 FIELD S1
END

STRINGA 26
BEGIN
 KEY "PERIODO DI RIFERIMENTO"
 PROMPT 92 11 ""
 FIELD S2
END

DATA 38
BEGIN
 KEY "Data del versamento"
 PROMPT 66 19 ""
 FIELD D0
 FORMAT "1444-"
END

STRINGA 39
BEGIN
 KEY "DOMICILIO FISCALE: COMUNE"
 PROMPT 63 20 ""
 FIELD 213@->DENCOM
END

STRINGA 40
BEGIN
 KEY "DOMICILIO FISCALE: Provincia"
 PROMPT 100 20 ""
 FIELD 213@->PROVCOM
END

STRINGA 41
BEGIN
 KEY "DOMICILIO FISCALE: VIA"
 PROMPT 63 22 ""
 FIELD 6->INDRF
 FIELD 6->INDRES
END

STRINGA 42
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO"
 PROMPT 102 22 ""
 FIELD 6->CIVRF
 FIELD 6->CIVRES
END

GRUPPO 27
BEGIN
 KEY "Terza sezione"
END

NUMERO 28
BEGIN
 KEY "TOTALE (in lettere)"
 PROMPT 120 3 ""
 GROUP  10
 PICTURE "LETTERE"
END

NUMERO 29
BEGIN
 KEY "TOTALE (in alto)"
 PROMPT 186 3 ""
 GROUP  10
 PICTURE "#  #   #  #  #   #  #  #^^^"
END

STRINGA 30
BEGIN
 KEY "sul C/C n."
 PROMPT 120 4 ""
 FIELD 14@->S5
END

STRINGA 31
BEGIN
 KEY "Concessione di"
 PROMPT 127 5 ""
 FIELD 14@->S0
END

STRINGA 32
BEGIN
 KEY "Eseguito da (1)"
 PROMPT 125 6 ""
 FIELD 6->RAGSOC[1,30]
END

STRINGA 33
BEGIN
 KEY "Eseguito da (2)"
 PROMPT 180 6 ""
 FIELD 6->RAGSOC[31,50]
END

LISTA 34
BEGIN
 KEY "Tipo anagrafica"
 FIELD 6->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@
END

DATA 35
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 114 8 ""
 GROUP  1
 FLAGS "D"
 PICTURE "#  #^  #  #^   ^  #  #  #"
 FIELD 8->DATANASC
 FORMAT "1444-"
END

STRINGA 36
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 148 8 ""
 GROUP  1
 FLAGS "D"
 FIELD 113@->DENCOM
END

STRINGA 37
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 206 8 ""
 GROUP  1
 FLAGS "D"
 PICTURE "#  #"
 FIELD 113@->PROVCOM
END

STRINGA 38
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 214 8 ""
 GROUP  1
 FLAGS "D"
 FIELD 8->SESSO
END

STRINGA 55
BEGIN
 KEY "DOMICILIO FISCALE: COMUNE"
 PROMPT 114 10 ""
 FIELD 213@->DENCOM
END

STRINGA 56
BEGIN
 KEY "DOMICILIO FISCALE: VIA"
 PROMPT 154 10 ""
 FIELD 6->INDRF
 FIELD 6->INDRES
END

STRINGA 57
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO"
 PROMPT 204 10 ""
 FIELD 6->CIVRF
 FIELD 6->CIVRES
END

STRINGA 42
BEGIN
 KEY "CODICE TRIBUTO"
 PROMPT 116 13 ""
 PICTURE "#  #   #  #"
 FIELD S1
END

STRINGA 43
BEGIN
 KEY "PERIODO DI RIFERIMENTO"
 PROMPT 133 13 ""
 PICTURE "^  ^  ^  ^  #  #"
 FIELD S2
END

NUMERO 44
BEGIN
 KEY "Codice Concessione"
 PROMPT 158 13 ""
 PICTURE "#  #  #"
 FIELD 6->UFFCONC
 FIELD 14@->CODTAB
END

STRINGA 45
BEGIN
 KEY "Codice fiscale (Persone fisiche)"
 PROMPT 169 13 ""
 GROUP  1
 FLAGS "D"
 PICTURE "#  #  #    #  #  #   #  #   #   #   #  #   #  #  #  #"
 FIELD 6->COFI
END

STRINGA 62
BEGIN
 KEY "Codice fiscale (Persone GIURIDICHE)"
 PROMPT 169 13 ""
 GROUP  2
 FLAGS "D"
 PICTURE "#  #  #    #  #  #   #  #   #   #   #"
 FIELD 6->COFI
END

STRINGA 46
BEGIN
 KEY "Partita IVA"
 PROMPT 185 15 ""
 PICTURE "#  #  #   #  #  #   #  #   #   #   #"
 FIELD 6->PAIV
END

NUMERO 47
BEGIN
 KEY "IMPORTO TRIBUTO"
 PROMPT 187 17 ""
 PICTURE "#  #  #   #  #   #  #   #^^^"
 FIELD R0
END

NUMERO 48
BEGIN
 KEY "INTERESSI"
 PROMPT 187 19 ""
 PICTURE "#  #  #   #  #   #  #   #^^^"
 FIELD R7
END

END

END
