USE %DEL
JOIN %BAN ALIAS 2 INTO CODTAB=S7
JOIN %BAN ALIAS 1 INTO CODTAB=S7+S8
JOIN 13 TO 1@ ALIAS 11 INTO COM=S5
JOIN 9 INTO CODDITTA=CODTAB[1,5]
JOIN 6 TO 9 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 6 INTO CODANAGR=CODANAGR
JOIN 7 TO 6 INTO CODANAGR=CODANAGR
JOIN 13 TO 6 ALIAS 12 INTO COM==COMRF
JOIN 13 TO 8 ALIAS 13 INTO COM=COMNASC

END
DESCRIPTION
BEGIN
  %DEL->* "DEL"
  2@->* "BAN"
  1@->* "BAN"
  11@->* "Comuni"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  7->* "Anagrafica persone giuridiche"
  12@->* "Comuni"
  13@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 7
END

SECTION BODY ODD 66

STRINGA 1
BEGIN
 KEY "Sede Azienda"
 PROMPT 50 10 ""
 FIELD 2@->S0
END

STRINGA 2
BEGIN
 KEY "Sede Filiale"
 PROMPT 50 12 ""
 FIELD 1@->S0
END

STRINGA 3
BEGIN
 KEY "Provincia Banca"
 PROMPT 129 12 ""
 FIELD 11@->PROVCOM
END

LISTA 4
BEGIN
 KEY "Tipo anagrafica"
 FIELD 6->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@
END

GRUPPO 5
BEGIN
 KEY "Persone fisiche"
 PROMPT 0 0 ""
 GROUP  1
END

LISTA 6
BEGIN
 KEY "Sesso"
 PROMPT 34 19 ""
 GROUP  1
 FIELD 8->SESSO
 ITEM "M|X " MESSAGE SHOW,3@|HIDE,4@
 ITEM "F|   X" MESSAGE SHOW,4@|HIDE,3@
END

GRUPPO 7
BEGIN
 KEY "Sesso maschile"
 PROMPT 0 0 ""
 GROUP  3
END

STRINGA 8
BEGIN
 KEY "Il sottoscritto"
 PROMPT 6 14 "I                o"
 GROUP  1 3
END

GRUPPO 9
BEGIN
 KEY "Sesso Femminile"
 PROMPT 0 0 ""
 GROUP  4
END

STRINGA 10
BEGIN
 KEY "La sottoscritta"
 PROMPT 6 14 "  a              a"
 GROUP  1 4
END

STRINGA 11
BEGIN
 KEY "Cognome"
 PROMPT 5 17 ""
 GROUP  1
 FIELD 6->RAGSOC[1,30]
END

STRINGA 12
BEGIN
 KEY "Nome"
 PROMPT 73 17 ""
 GROUP  1
 FIELD 6->RAGSOC[31,-1]
END

NUMERO 13
BEGIN
 KEY "Giorno di nascita"
 PROMPT 5 20 ""
 GROUP  1
 PICTURE "@  @"
 FIELD 8->DATANASC[1,2]
END

NUMERO 14
BEGIN
 KEY "Mese di nascita"
 PROMPT 12 20 ""
 GROUP  1
 PICTURE "@  @"
 FIELD 8->DATANASC[4,5]
END

NUMERO 15
BEGIN
 KEY "Anno di nascita"
 PROMPT 19 20 ""
 GROUP  1
 PICTURE "@  @"
 FIELD 8->DATANASC[9,10]
END

STRINGA 16
BEGIN
 KEY "Comune di nascita"
 PROMPT 53 20 ""
 GROUP  1
 FIELD 13@->DENCOM
END

STRINGA 17
BEGIN
 KEY "Provincia di nascita"
 PROMPT 130 20 ""
 GROUP  1
 PICTURE "#  #"
 FIELD 13@->PROVCOM
END

GRUPPO 18
BEGIN
 KEY "Persone giuridiche"
 PROMPT 0 0 ""
 GROUP  2
END

STRINGA 19
BEGIN
 KEY "Ragione Sociale"
 PROMPT 5 24 ""
 GROUP  2
 FIELD 6->RAGSOC
END

STRINGA 20
BEGIN
 KEY "Natura Giuridica"
 PROMPT 130 24 ""
 GROUP  2
 PICTURE "#  #"
 FIELD 7->NATGIU
END

STRINGA 21
BEGIN
 KEY "Via Indirizzo Fiscale"
 FLAGS "H"
 MESSAGE COPY,527
 FIELD 6->INDRF
END

STRINGA 22
BEGIN
 KEY "Numero Civico Indirizzo Fiscale"
 FLAGS "H"
 MESSAGE APPEND,527
 FIELD 6->CIVRF
END

STRINGA 527 35
BEGIN
 KEY "Indirizzo Fiscale"
 PROMPT 5 28 ""
END

STRINGA 24
BEGIN
 KEY "CAP fiscale"
 PROMPT 74 28 ""
 PICTURE "#  #   #   #  #"
 FIELD 6->CAPRF
END

STRINGA 25
BEGIN
 KEY "Comune di residenza fiscale"
 PROMPT 92 28 ""
 FIELD 12@->DENCOM
END

STRINGA 26
BEGIN
 KEY "Provincia di residenza fiscale"
 PROMPT 130 28 ""
 PICTURE "#  #"
 FIELD 12@->PROVCOM
END

STRINGA 27
BEGIN
 KEY "Partita IVA"
 PROMPT 24 33 ""
 PICTURE "#   #  #   #  #   #  #  ^   ^  ^   #"
 FIELD 6->PAIV
END

STRINGA 28
BEGIN
 KEY "Codice fiscale (P.IVA Persone giuridiche)"
 PROMPT 79 33 ""
 GROUP  2
 PICTURE "#   #  #   #   #   #  #   #  #  #   #"
 FIELD 6->COFI
END

STRINGA 29
BEGIN
 KEY "Codice fiscale (Persone fisiche)"
 PROMPT 79 33 ""
 GROUP  1
 PICTURE "#   #  #   #   #   #  #   #  #  #   #   #   #  #   #  #"
 FIELD 6->COFI
END

NUMERO 29
BEGIN
 KEY "Anno di versamento"
 PROMPT 79 40 ""
 PICTURE "^ ^ @  @"
 FIELD CODTAB[6,9]
END

LISTA 30
BEGIN
 KEY "Periodo di versamento"
 PROMPT 110 40 ""
 FIELD CODTAB[10,11]
 ITEM "01|Gennaio"
 ITEM "02|Febbraio"
 ITEM "03|Marzo"
 ITEM "04|Aprile"
 ITEM "05|Maggio"
 ITEM "06|Giugno"
 ITEM "07|Luglio"
 ITEM "08|Agosto"
 ITEM "09|Settembre"
 ITEM "10|Ottobre"
 ITEM "11|Novembre"
 ITEM "12|Dicembre"
 ITEM "13|Annuale"
END

LISTA 31
BEGIN
 KEY "X sul mese"
 PROMPT 64 46 ""
 GROUP  6
 FIELD CODTAB[10,11]
 ITEM "01|X"
 ITEM "02|     X"
 ITEM "03|          X"
 ITEM "04|               X"
 ITEM "05|                    X"
 ITEM "06|                         X"
 ITEM "07|                              X"
 ITEM "08|                                   X"
 ITEM "09|                                        X"
 ITEM "10|                                             X"
 ITEM "11|                                                  X"
 ITEM "12|                                                       X"
 ITEM "13|                                                            X"
END

LISTA 32
BEGIN
 KEY "X sul trimestre"
 PROMPT 9 46 ""
 GROUP  6
 FIELD CODTAB[10,11]
 ITEM "01|X"
 ITEM "02|X"
 ITEM "03|X"
 ITEM "04|      X"
 ITEM "05|      X"
 ITEM "06|      X"
 ITEM "07|           X"
 ITEM "08|           X"
 ITEM "09|           X"
 ITEM "10|                X"
 ITEM "11|                X"
 ITEM "12|                X"
 ITEM "13|                     X"
END

NUMERO 33
BEGIN
 KEY "Importo in cifre"
 PROMPT 31 51 ""
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 34
BEGIN
 KEY "Importo in lettere"
 PROMPT 60 51 ""
 PICTURE "LETTERE"
 FIELD R0
END

DATA 36
BEGIN
 KEY "Data del versamento"
 PROMPT 87 58 ""
 PICTURE "@  @^  @  @^  @  @"
 FIELD D0
 FORMAT "1442-"
END

STRINGA 38
BEGIN
 KEY "Codice Azienda"
 PROMPT 110 58 ""
 PICTURE "@ @ @ @"
 FIELD S7[2,5]
END

STRINGA 39
BEGIN
 KEY "Codice Dipendenza"
 PROMPT 124 58 ""
 PICTURE "@ @ @ @"
 FIELD 1@->I0
END

END

END
